Bug 176480 - [NEW PORT] x11-wm/compton: Compton is a compositor for X
Summary: [NEW PORT] x11-wm/compton: Compton is a compositor for X
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-27 14:50 UTC by Clockwork Box
Modified: 2013-06-25 17:30 UTC (History)
0 users

See Also:


Attachments
compton.diff (3.86 KB, patch)
2013-02-27 14:50 UTC, Clockwork Box
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Clockwork Box 2013-02-27 14:50:00 UTC
    Compton is a compositor for X, and a fork of xcompmgr-dana.

    WWW: https://github.com/chjj/compton/
Comment 1 Alexey Dokuchaev freebsd_committer 2013-06-21 09:14:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Take it.
Comment 2 dfilter service freebsd_committer 2013-06-25 17:23:02 UTC
Author: danfe
Date: Tue Jun 25 16:22:46 2013
New Revision: 321749
URL: http://svnweb.freebsd.org/changeset/ports/321749

Log:
  Add compton, a compositor for X11, which was forked from Dana Jansens' fork
  of xcompmgr, and then heavily refactored.
  
  WWW: https://github.com/chjj/compton
  
  PR:		ports/176480 (substantially modified)
  Submitted by:	Chi-Hung Chang

Added:
  head/x11-wm/compton/
  head/x11-wm/compton/Makefile   (contents, props changed)
  head/x11-wm/compton/distinfo   (contents, props changed)
  head/x11-wm/compton/files/
  head/x11-wm/compton/files/patch-Makefile   (contents, props changed)
  head/x11-wm/compton/files/patch-c2.h   (contents, props changed)
  head/x11-wm/compton/pkg-descr   (contents, props changed)
  head/x11-wm/compton/pkg-plist   (contents, props changed)
Modified:
  head/x11-wm/Makefile

Modified: head/x11-wm/Makefile
==============================================================================
--- head/x11-wm/Makefile	Tue Jun 25 16:09:15 2013	(r321748)
+++ head/x11-wm/Makefile	Tue Jun 25 16:22:46 2013	(r321749)
@@ -25,6 +25,7 @@
     SUBDIR += compiz-plugins-unsupported
     SUBDIR += compizconfig-backend-gconf
     SUBDIR += compizconfig-python
+    SUBDIR += compton
     SUBDIR += ctwm
     SUBDIR += devilspie
     SUBDIR += dwm

Added: head/x11-wm/compton/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/compton/Makefile	Tue Jun 25 16:22:46 2013	(r321749)
@@ -0,0 +1,82 @@
+# $FreeBSD$
+
+PORTNAME=	compton
+PORTVERSION=	20130619
+CATEGORIES=	x11-wm
+
+MAINTAINER=	femc7488@gmail.com
+COMMENT=	Feature-rich compositing window manager for X11
+
+LICENSE=	MIT
+
+LIB_DEPENDS=	config:${PORTSDIR}/devel/libconfig
+RUN_DEPENDS=	xprop:${PORTSDIR}/x11/xprop \
+		xwininfo:${PORTSDIR}/x11/xwininfo
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	chjj
+GH_TAGNAME=	${GH_COMMIT}
+GH_COMMIT=	c02b3fa
+
+USE_XORG=	xcomposite xdamage xrandr xrender
+USE_GMAKE=	yes
+USES=		pkgconfig
+
+MAKE_ARGS=	COMPTON_VERSION=git-${PORTVERSION}-${GH_COMMIT} \
+		XDGDIR=${LOCALBASE}/etc/xdg
+ALL_TARGET=	${PORTNAME}
+
+OPTIONS_DEFINE=	PCRE DRM OPENGL DBUS DOCS
+OPTIONS_DEFAULT=	PCRE DRM OPENGL
+
+PCRE_DESC=	Blacklist support (via libpcre)
+DRM_DESC=	DRM support
+DOCS_DESC=	Build manpages (requires AsciiDoc/DocBook)
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MPCRE}
+LIB_DEPENDS+=	pcre:${PORTSDIR}/devel/pcre
+.else
+MAKE_ARGS+=	NO_REGEX_PCRE=yes
+.endif
+
+.if ${PORT_OPTIONS:MDRM}
+LIB_DEPENDS+=	drm:${PORTSDIR}/graphics/libdrm
+.else
+MAKE_ARGS+=	NO_VSYNC_DRM=yes
+.endif
+
+.if ${PORT_OPTIONS:MOPENGL}
+USE_GL=		gl
+.else
+MAKE_ARGS+=	NO_VSYNC_OPENGL=yes
+.endif
+
+.if ${PORT_OPTIONS:MDBUS}
+LIB_DEPENDS+=	dbus-1:${PORTSDIR}/devel/dbus
+.else
+MAKE_ARGS+=	NO_DBUS=yes
+.endif
+
+.if ${PORT_OPTIONS:MDOCS}
+BUILD_DEPENDS=	a2x:${PORTSDIR}/textproc/asciidoc \
+		xsltproc:${PORTSDIR}/textproc/libxslt \
+		${LOCALBASE}/share/xml/docbook/4.5/docbookx.dtd:${PORTSDIR}/textproc/docbook-xml-450 \
+		${LOCALBASE}/share/xsl/docbook/manpages/docbook.xsl:${PORTSDIR}/textproc/docbook-xsl
+ALL_TARGET+=	docs
+MAKE_ARGS+=	DOCDIR=${DOCSDIR} MANDIR=${MANPREFIX}/man/man1
+MAN1=		compton.1 compton-trans.1
+PORTDOCS=	README.md cdbus-driver.sh
+.endif
+
+post-patch:
+# Adjust the location of configuration file
+	@${REINPLACE_CMD} -e '/config_system_dir/s|/etc|${LOCALBASE}/etc|' \
+		${WRKSRC}/src/compton.c
+# Replace OpenGL 3.2+ glFramebufferTexture() with glFramebufferTexture2D()
+	@${REINPLACE_CMD} -e \
+		'/glFramebufferTexture/s|tex_scr2|GL_TEXTURE_2D, &| ; \
+		s|glFramebufferTexture|&2D|' ${WRKSRC}/src/opengl.c
+
+.include <bsd.port.mk>

Added: head/x11-wm/compton/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/compton/distinfo	Tue Jun 25 16:22:46 2013	(r321749)
@@ -0,0 +1,2 @@
+SHA256 (compton-20130619.tar.gz) = 241d5653952d697d5a7752601e15690a824f5ee6a391739eccdd3a7b836f23ea
+SIZE (compton-20130619.tar.gz) = 138921

Added: head/x11-wm/compton/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/compton/files/patch-Makefile	Tue Jun 25 16:22:46 2013	(r321749)
@@ -0,0 +1,35 @@
+--- Makefile.orig	2013-05-21 09:26:18.000000000 +0800
++++ Makefile	2013-06-25 20:53:32.000000000 +0800
+@@ -112,22 +112,23 @@
+ 	$(CC) $(CFG) $(LDFLAGS) $(CFLAGS) -o $@ $(OBJS) $(LIBS)
+ 
+ man/%.1: man/%.1.asciidoc
+-	a2x --format manpage $<
++	a2x -v --format manpage $<
+ 
+ man/%.1.html: man/%.1.asciidoc
+ 	asciidoc $<
+ 
+ docs: $(MANPAGES) $(MANPAGES_HTML)
+ 
+-install: $(BINS) docs
+-	@install -d "$(DESTDIR)$(BINDIR)" "$(DESTDIR)$(MANDIR)" "$(DESTDIR)$(APPDIR)"
+-	@install -m755 $(BINS) "$(DESTDIR)$(BINDIR)"/ 
+-	@install -m644 $(MANPAGES) "$(DESTDIR)$(MANDIR)"/
+-	@install -m644 compton.desktop "$(DESTDIR)$(APPDIR)"/
++install: $(BINS)
++	@install -d "$(DESTDIR)$(BINDIR)" "$(DESTDIR)$(APPDIR)" "$(DESTDIR)$(XDGDIR)"
++	install -m755 $(BINS) "$(DESTDIR)$(BINDIR)"/ 
++	install -m644 compton.desktop "$(DESTDIR)$(APPDIR)"/
++	install -m644 compton.sample.conf "$(DESTDIR)$(XDGDIR)"/
+ ifneq "$(DOCDIR)" ""
+-	@install -d "$(DESTDIR)$(DOCDIR)"
+-	@install -m644 README.md compton.sample.conf "$(DESTDIR)$(DOCDIR)"/
+-	@install -m755 dbus-examples/cdbus-driver.sh "$(DESTDIR)$(DOCDIR)"/
++	@install -d "$(DESTDIR)$(DOCDIR)" "$(DESTDIR)$(MANDIR)"
++	install -m644 $(MANPAGES) "$(DESTDIR)$(MANDIR)"/
++	install -m644 README.md "$(DESTDIR)$(DOCDIR)"/
++	install -m755 dbus-examples/cdbus-driver.sh "$(DESTDIR)$(DOCDIR)"/
+ endif
+ 
+ uninstall:

Added: head/x11-wm/compton/files/patch-c2.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/compton/files/patch-c2.h	Tue Jun 25 16:22:46 2013	(r321749)
@@ -0,0 +1,15 @@
+--- src/c2.h.orig	2013-02-06 01:40:34.000000000 +0800
++++ src/c2.h	2013-02-06 01:40:53.000000000 +0800
+@@ -35,10 +35,8 @@
+ /// Pointer to a condition tree.
+ typedef struct {
+   bool isbranch : 1;
+-  union {
+-    c2_b_t *b;
+-    c2_l_t *l;
+-  };
++  c2_b_t *b;
++  c2_l_t *l;
+ } c2_ptr_t;
+ 
+ /// Initializer for c2_ptr_t.

Added: head/x11-wm/compton/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/compton/pkg-descr	Tue Jun 25 16:22:46 2013	(r321749)
@@ -0,0 +1,14 @@
+Compton is a compositor for X11, which was forked from Dana Jansens' fork
+of xcompmgr, and heavily refactored.
+
+Most prominent changes from the original xcompmgr:
+
+  - OpenGL/GLX backend in addition to the old X Render backend
+  - Inactive window transparency and dimming
+  - Titlebar/frame and menu transparency
+  - Shadows for ARGB windows, e.g. terminals with transparency
+  - Colored shadows; new fade system
+  - Blur of background of transparent windows, window color inversion
+  - Configuration file support with blacklisting
+
+WWW: https://github.com/chjj/compton

Added: head/x11-wm/compton/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/compton/pkg-plist	Tue Jun 25 16:22:46 2013	(r321749)
@@ -0,0 +1,6 @@
+bin/compton
+bin/compton-trans
+etc/xdg/compton.sample.conf
+share/applications/compton.desktop
+@dirrmtry share/applications
+@dirrmtry etc/xdg
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alexey Dokuchaev freebsd_committer 2013-06-25 17:25:36 UTC
State Changed
From-To: open->closed

Committed with heavy midifications, thanks!  Also updated to the latest version.